---
title: VRDisplayCapabilities.hasExternalDisplay
slug: Web/API/VRDisplayCapabilities/hasExternalDisplay
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplayCapabilities
  - Virtual Reality
  - WebVR
  - hasExternalDisplay
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>hasExternalDisplay</code></strong> read-only property of the {{domxref("VRDisplayCapabilities")}} interface returns a {{domxref("Boolean")}} stating whether the VR display is separate from the device's primary display.</p>

<div class="note">
<p><strong>Note</strong>: If presenting VR content would obscure other content on the device, this will return <code>false</code>, in which case the application should not attempt to mirror VR content or update non-VR UI because that content will not be visible.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var hasAnExternalDisplay = vrDisplayCapabilitiesInstance.<code>hasExternalDisplay</code>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplayCapabilities", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplaycapabilities-hasexternaldisplay', 'hasExternalDisplay')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplayCapabilities.hasExternalDisplay")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
